Get a shield rule
curl --request GET \
--url https://inboundr.net/api/v1/shield-rules/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://inboundr.net/api/v1/shield-rules/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://inboundr.net/api/v1/shield-rules/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://inboundr.net/api/v1/shield-rules/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"id": "gr_123",
"name": "Drop flagged spam",
"action": "block",
"priority": 1,
"enabled": true,
"scope": "account",
"domainId": null,
"addressId": null,
"conditions": [
{ "field": "spam_verdict", "operator": "equals", "value": "FAIL" }
],
"endpointIds": [],
"createdAt": "2026-07-20T10:00:00.000Z"
}
Shield Rules
Get a shield rule
Fetch one rule by id.
GET
/
api
/
v1
/
shield-rules
/
{id}
Get a shield rule
string
required
The rule id (
gr_…).{
"id": "gr_123",
"name": "Drop flagged spam",
"action": "block",
"priority": 1,
"enabled": true,
"scope": "account",
"domainId": null,
"addressId": null,
"conditions": [
{ "field": "spam_verdict", "operator": "equals", "value": "FAIL" }
],
"endpointIds": [],
"createdAt": "2026-07-20T10:00:00.000Z"
}
⌘I